libopenmpt (0.7.13-1build1~20.04.sav0) focal; urgency=medium

  * Backport to Focal
  * Revert "Rename libraries for 64-bit time_t transition" (Ubuntu < 24.04)
  * Revert "debian/: Bump debhelper compat to 13" (d/rules restore dh_missing)

 -- Rob Savoury <savoury@savos.tech>  Sat, 17 May 2025 11:09:53 -0700

libopenmpt (0.7.13-1build1) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 09:51:25 -0500

libopenmpt (0.7.13-1) unstable; urgency=medium

  * New upstream version 0.7.13
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 14 Jan 2025 08:30:29 +0100

libopenmpt (0.7.12-1) unstable; urgency=medium

  * New upstream version 0.7.12

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 09 Dec 2024 23:58:51 +0100

libopenmpt (0.7.9-1) unstable; urgency=medium

  * New upstream version 0.7.9

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 26 Jul 2024 21:22:20 +0200

libopenmpt (0.7.8-1) unstable; urgency=medium

  * New upstream version 0.7.8

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 23 Jun 2024 19:36:22 +0200

libopenmpt (0.7.7-1) unstable; urgency=medium

  * New upstream version 0.7.7

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 22 May 2024 23:09:38 +0200

libopenmpt (0.7.6-1) unstable; urgency=medium

  * New upstream version 0.7.6
  * debian/copyright: Bump copyright years
  * debian/control: Bump Standards-Version
  * debian/: Move doc build to -indep

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 01 Apr 2024 14:41:09 +0200

libopenmpt (0.7.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062503

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 15:57:46 +0000

libopenmpt (0.7.3-1) unstable; urgency=medium

  * New upstream version 0.7.3

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 11 Sep 2023 08:31:05 +0200

libopenmpt (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Jul 2023 17:35:46 +0200

libopenmpt (0.7.1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 0.7.1
  * debian/tests/: Allow output on stderr (Closes: #1037007)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 02 Jun 2023 21:16:45 +0200

libopenmpt (0.7.0-1) experimental; urgency=medium

  * New upstream version 0.7.0
  * debian/rules: Fix location of changelog.md
  * debian/libopenmpt0.symbols: Add new symbols
  * debian/copyright: Update for removed file

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 May 2023 15:01:57 +0200

libopenmpt (0.6.9-1) unstable; urgency=medium

  * New upstream version 0.6.9

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Mar 2023 23:30:20 +0100

libopenmpt (0.6.8-1) unstable; urgency=medium

  * New upstream version 0.6.8

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 02 Feb 2023 09:28:27 +0100

libopenmpt (0.6.7-1) unstable; urgency=medium

  [ Dennis Braun ]
  * Add d/libopenmpt0.lintian-overrides

  [ Sebastian Ramacher ]
  * New upstream version 0.6.7
  * debian/copyright: Bump copyright years
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 10 Jan 2023 23:42:22 +0100

libopenmpt (0.6.6-1) unstable; urgency=medium

  * New upstream version 0.6.6

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Oct 2022 19:30:15 +0200

libopenmpt (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 29 Aug 2022 20:57:25 +0200

libopenmpt (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Jun 2022 12:50:05 +0200

libopenmpt (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 28 Apr 2022 23:55:57 +0200

libopenmpt (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 19 Mar 2022 18:04:44 +0100

libopenmpt (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 02 Feb 2022 00:56:17 +0100

libopenmpt (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * debian/copyright: Document src/mpt/*
  * debian/libopenmpt0.symbols: Add new optional symbol

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 30 Dec 2021 22:04:11 +0100

libopenmpt (0.5.14-1) unstable; urgency=medium

  * New upstream version 0.5.14

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 08 Dec 2021 18:24:44 +0100

libopenmpt (0.5.13-1) unstable; urgency=medium

  * New upstream version 0.5.13

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 16 Nov 2021 22:43:48 +0100

libopenmpt (0.5.12-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Nov 2021 11:09:14 +0100

libopenmpt (0.5.12-1) experimental; urgency=medium

  * New upstream version 0.5.12
  * debian/control:
    - Add myself to Uploaders
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Oct 2021 13:20:29 +0200

libopenmpt (0.5.10-1) experimental; urgency=medium

  [ Sebastian Ramacher ]
  * New upstream release (Closes: #989956)
  * debian/control: Remove modplug emulation
  * debian/copyright: Bump copyright years
  * debian/libopenmpt0.symbols: Add new symbols

  [ Sebastien Bacher ]
  * Make autopkgtests cross-test-friendly (Closes: #946530)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 17 Aug 2021 22:52:36 +0200

libopenmpt (0.4.22-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #989955)
  * debian/: Bump debhelper compat to 13
  * debian/rules: -Wl,--as-needed is now the default
  * debian/libopenmpt-doc.links: Use doxygen's 'jquery.js' (Closes: #988810)
  * debian/control:
    - Remove obsolete B-D on dpkg-dev
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 17 Aug 2021 20:28:19 +0200

libopenmpt (0.4.11-1) unstable; urgency=medium

  * New upstream release.

  * d/control: Bump standards version to 4.5.0.
  * d/patches: Refresh patches.

 -- James Cowgill <jcowgill@debian.org>  Mon, 27 Jan 2020 23:49:11 +0000

libopenmpt (0.4.10-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release.

  [ Ondřej Nový ]
  * d/control: Bump Standards-Version to 4.4.1.

 -- James Cowgill <jcowgill@debian.org>  Wed, 30 Oct 2019 23:22:01 +0000

libopenmpt (0.4.9-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2019-17113.

 -- James Cowgill <jcowgill@debian.org>  Fri, 04 Oct 2019 10:12:12 +0100

libopenmpt (0.4.8-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Mon, 30 Sep 2019 21:26:29 +0100

libopenmpt (0.4.7-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Mon, 23 Sep 2019 20:58:52 +0100

libopenmpt (0.4.6-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release.

  [ Ondřej Nový ]
  * d/control: Bump Standards-Version to 4.4.0.

 -- James Cowgill <jcowgill@debian.org>  Sun, 11 Aug 2019 11:17:18 +0100

libopenmpt (0.4.5-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Mon, 15 Jul 2019 23:46:33 +0100

libopenmpt (0.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Fri, 15 Feb 2019 09:30:30 +0000

libopenmpt (0.4.2-1) unstable; urgency=medium

  * New upstream release.

  * d/control: Bump debhelper compat to 12.
  * d/not-installed: Add file and pass --fail-missing to dh_missing.

 -- James Cowgill <jcowgill@debian.org>  Wed, 23 Jan 2019 09:26:13 +0000

libopenmpt (0.4.1-1) unstable; urgency=medium

  * New upstream release.

  * d/patches:
    - Drop patches related to CSoundFile API compatibility - fixed
      upstream.

 -- James Cowgill <jcowgill@debian.org>  Mon, 07 Jan 2019 19:11:44 +0000

libopenmpt (0.4.0-1) unstable; urgency=medium

  * New upstream release.

  * d/copyright: Update for 0.4.0 and sort paragraphs.
  * d/control: Bump standards to 4.3.0.
  * d/patches:
    - Refresh 01_libmodplug_symver.patch.
    - Add patch to fix CSoundFile API compatibility.
  * d/libopenmpt0.symbols: Adjust weak symbols

 -- James Cowgill <jcowgill@debian.org>  Mon, 24 Dec 2018 21:43:58 +0000

libopenmpt (0.3.13-1) unstable; urgency=medium

  * New upstream release.
    - Fixes out of bound read in malformed MED files. (Closes: #911584)

 -- James Cowgill <jcowgill@debian.org>  Mon, 22 Oct 2018 09:46:13 +0100

libopenmpt (0.3.12-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Mon, 24 Sep 2018 09:25:41 +0100

libopenmpt (0.3.11-1) unstable; urgency=medium

  * New upstream release.
    - Fix crash with some malformed custom tunings in MPTM files.
      (Closes: #904874)

 -- James Cowgill <jcowgill@debian.org>  Sun, 29 Jul 2018 13:29:16 +0800

libopenmpt (0.3.10-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Sun, 17 Jun 2018 10:08:38 +0100

libopenmpt (0.3.9-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Mon, 07 May 2018 17:39:24 +0100

libopenmpt (0.3.8-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2018-10017 (Closes: #895406).

  * debian/control:
    - Bump standards version to 4.1.4.

 -- James Cowgill <jcowgill@debian.org>  Wed, 11 Apr 2018 12:19:51 +0100

libopenmpt (0.3.6-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2018-6611 (Closes: #889545).

  * debian/copyright:
    - Update dates.
  * debian/compat:
    - Use debhelper 11.
  * debian/control:
    - Set Maintainer to debian-multimedia@lists.d.o.
    - Switch Vcs URLs to salsa.debian.org.
    - Bump standards version to 4.1.3.
  * debian/rules:
    - Revert workaround implementing build targets manually now that debhelper
      has been fixed.

 -- James Cowgill <jcowgill@debian.org>  Sun, 04 Feb 2018 23:09:22 +0000

libopenmpt (0.3.4-1) unstable; urgency=medium

  * New upstream release.

  * debian/control:
    - Bump standards to 4.1.2.

 -- James Cowgill <jcowgill@debian.org>  Mon, 18 Dec 2017 14:55:44 +0000

libopenmpt (0.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Tue, 21 Nov 2017 08:54:21 +0000

libopenmpt (0.3.2-1) unstable; urgency=medium

  * New upstream release.

  * debian/control:
    - Set Rules-Requires-Root: no.
  * debian/rules:
    - Remove unused variables.
    - Implement build targets manually to workaround dh not playing well
      with a "build" directory in the upstream source.

 -- James Cowgill <jcowgill@debian.org>  Wed, 08 Nov 2017 23:31:31 +0000

libopenmpt (0.3.1-1) unstable; urgency=medium

  * New upstream release.

  * debian/control:
    - Remove unnecessary testsuite autopkgtest header.
    - Bump standards to 4.1.1 (no changes).
  * debian/copyright:
    - Update copyright including some modifications from decopy.
  * debian/libopenmpt-dev.install:
    - Install libopenmpt_ext.* headers which are now stable.
  * debian/libopenmpt0.symbols:
    - Add new symbols foudn in 0.3.0.
  * debian/patches:
    - Refresh patches.
  * debian/rules:
    - Build doxygen documentation again and update install path.
  * debian/tests:
    - Use openmpt_module_create2 in autopkgtests.
  * debian/watch:
    - Update for new versioning scheme.

 -- James Cowgill <jcowgill@debian.org>  Mon, 02 Oct 2017 23:47:01 +0100

libopenmpt (0.2.8760~beta27-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Wed, 16 Aug 2017 11:31:38 +0100

libopenmpt (0.2.8461~beta26-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2017-11311: arbitrary code execution via a crafted PSM File.
      (Closes: #867579)

 -- James Cowgill <jcowgill@debian.org>  Fri, 14 Jul 2017 17:21:59 +0100

libopenmpt (0.2.8414~beta25-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Wed, 05 Jul 2017 18:36:10 +0100

libopenmpt (0.2.8190~beta24-1) unstable; urgency=medium

  * New upstream release.
    - Fixes various local denial-of-service security bugs. (Closes: #864195)
  * Upload to unstable.

  * debian/control:
    - Bump standards to 4.0.0 (no changes required).

 -- James Cowgill <jcowgill@debian.org>  Mon, 19 Jun 2017 18:53:10 +0100

libopenmpt (0.2.8043~beta23-1) experimental; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Mon, 01 May 2017 20:16:49 +0100

libopenmpt (0.2.7774~beta22-1) experimental; urgency=medium

  * New upstream release.
  * Disable dynamic library loading following upstream's default change.
  * Use upstream's version of libmodplug.pc now that it's fixed.

 -- James Cowgill <jcowgill@debian.org>  Sun, 19 Mar 2017 21:49:53 +0000

libopenmpt (0.2.7561~beta20.5-1) experimental; urgency=medium

  * New upstream release.

  * debian/copyright:
    - Update dates.
  * debian/patches, debian/libopenmpt-modplug1.symbols:
    - Track modplug symbols in a debian symbols file instead of the ELF symbol
      versioning file.
    - Add new modplug symbols from 0.2.7561~beta20.5.

 -- James Cowgill <jcowgill@debian.org>  Fri, 10 Feb 2017 11:44:43 +0000

libopenmpt (0.2.7386~beta20.3-3) unstable; urgency=medium

  * debian/tests:
    - Depend on build-essential in all autopkgtests. This should fix the
      recent autopkgtest failures.

 -- James Cowgill <jcowgill@debian.org>  Thu, 12 Jan 2017 17:17:13 +0000

libopenmpt (0.2.7386~beta20.3-2) unstable; urgency=medium

  * Enable libmodplug compatibility layer.
    - Add libopenmpt-modplug-dev and libopenmpt-modplug1.
    - Add autopkgtest for libmodplug compat layer.
    - Add ELF symbol versioning to all the symbols exported by the
      compatibility layer.

  * debian/control:
    - Build-Conflicts against autoconf-archive.
    - Drop "decoding" from the short description to make more room.
  * debian/rules:
    - Disable static library in configure invocation.

 -- James Cowgill <jcowgill@debian.org>  Sun, 08 Jan 2017 10:38:40 +0000

libopenmpt (0.2.7386~beta20.3-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Fri, 25 Nov 2016 09:42:47 +0000

libopenmpt (0.2.7299~beta20.2-2) unstable; urgency=medium

  * debian/control:
    - Add extra dependencies to libopenmpt-dev to satisfy pkg-config. Should
      fix autopkgtest failures.
  * debian/libopenmpt-dev.install:
    - Drop static library.
  * debian/watch:
    - Remove hyphen before @ANY_VERSION@ in watch file.

 -- James Cowgill <jcowgill@debian.org>  Sat, 12 Nov 2016 15:31:14 +0000

libopenmpt (0.2.7299~beta20.2-1) unstable; urgency=medium

  * New upstream release.

  * debian/patches:
    - Drop 01_openmpt123-whatis.patch - applied upstream.
  * debian/rules:
    - Use dh_autoreconf --as-needed.
    - Install libopenmpt/dox/changelog.md as the upstream changelog.
  * debian/tests:
    - Add pkg-config to autopkgtest dependencies.

 -- James Cowgill <jcowgill@debian.org>  Wed, 09 Nov 2016 15:55:27 +0000

libopenmpt (0.2.7025~beta20.1-1) unstable; urgency=medium

  * Initial release. (Closes: #839185)

 -- James Cowgill <jcowgill@debian.org>  Mon, 03 Oct 2016 10:04:29 +0100
